org.apache.ignite.internal.processors.cache.tree

## Class SearchRow

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.tree.SearchRow

All Implemented Interfaces:
  CacheSearchRow

    public class SearchRow
    extends Object
    implements CacheSearchRow

### Constructor Summary

Constructors
Constructor and Description
`SearchRow(int cacheId)` Instantiates a new fake search row as a logic cache based bound.
`SearchRow(int cacheId, KeyCacheObject key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `cacheId()`
`int` `hash()`
`KeyCacheObject` `key()`
`long` `link()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SearchRow

    public SearchRow(int cacheId,
                     KeyCacheObject key)

Parameters:
  `cacheId` - Cache ID.
  `key` - Key.

#### SearchRow

    public SearchRow(int cacheId)

Instantiates a new fake search row as a logic cache based bound.

Parameters:
  `cacheId` - Cache ID.

### Method Detail

#### key

    public KeyCacheObject key()

Specified by:
  `key` in interface `CacheSearchRow`
Returns:
  Cache key.

#### link

    public long link()

Specified by:
  `link` in interface `CacheSearchRow`
Returns:
  Link for this row.

#### hash

    public int hash()

Specified by:
  `hash` in interface `CacheSearchRow`
Returns:
  Key hash code.

#### cacheId

    public int cacheId()

Specified by:
  `cacheId` in interface `CacheSearchRow`
Returns:
  Cache ID or `0` if cache ID is not defined.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018